> ## Documentation Index
> Fetch the complete documentation index at: https://docs.coingecko.com/llms.txt
> Use this file to discover all available pages before exploring further.

# 👑 Circulating Supply Chart by ID

> This endpoint allows you to **query historical circulating supply of a coin by number of days away from now based on the provided coin ID**

<Note>
  ### Note

  * You may leave the interval params empty for automatic granularity:
    * 1 day from now = **5-minutely** data
    * 2 - 90 days from now = **hourly** data
    * 91 days & above from now = **daily** data (00:00 UTC)
  * Data Availability: from 22 June 2019.
  * Cache / Update Frequency: 5 minutes.
  * The last completed UTC day (00:00) is available 35 minutes after midnight on the next UTC day (00:35).
  * Exclusive for Enterprise Plan Subscribers only.
</Note>


## OpenAPI

````yaml api-reference/coingecko-pro.json get /coins/{id}/circulating_supply_chart
openapi: 3.0.0
info:
  title: CoinGecko Pro API
  version: 3.0.0
servers:
  - url: https://pro-api.coingecko.com/api/v3
security:
  - apiKeyAuth: []
  - apiKeyQueryParam: []
paths:
  /coins/{id}/circulating_supply_chart:
    get:
      tags:
        - Coins
      summary: 👑 Circulating Supply Chart by ID
      description: >-
        This endpoint allows you to **query historical circulating supply of a
        coin by number of days away from now based on provided coin ID**
      operationId: coins-id-circulating-supply-chart
      parameters:
        - name: id
          in: path
          description: |-
            coin ID 
             *refers to [`/coins/list`](/reference/coins-list).
          required: true
          schema:
            type: string
            example: bitcoin
            default: bitcoin
        - name: days
          in: query
          description: |-
            data up to number of days ago 
             Valid values: any integer or `max`
          required: true
          schema:
            type: string
            default: '1'
          examples:
            value-1:
              value: '1'
            value-2:
              value: '30'
            value-3:
              value: max
        - name: interval
          in: query
          description: data interval
          required: false
          schema:
            type: string
            enum:
              - 5m
              - hourly
              - daily
      responses:
        '200':
          description: Get historical circulating supply chart of a coin
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/CirculatingSupplyChartBase'
components:
  schemas:
    CirculatingSupplyChartBase:
      type: object
      properties:
        circulating_supply:
          type: array
          items:
            type: array
            items:
              oneOf:
                - type: number
                - type: string
      example:
        circulating_supply:
          - - 1712448000000
            - '19675268.0'
          - - 1712534400000
            - '19675268.0'
          - - 1712586776000
            - '19675268.0'
  securitySchemes:
    apiKeyAuth:
      type: apiKey
      in: header
      name: x-cg-pro-api-key
    apiKeyQueryParam:
      type: apiKey
      in: query
      name: x_cg_pro_api_key

````